>From 394ce29c644cdeb7e47bd883fd13e0b612ba526c Mon Sep 17 00:00:00 2001
From: Johannes Krampf <johannes.krampf@googlemail.com>
Date: Sun, 12 Jan 2014 11:19:22 -0500
Subject: [PATCH 3/5] build: Be explicit that we want integers when dividing
 for python3 compat.

Signed-off-by: Johannes Krampf <johannes.krampf@googlemail.com>
---
 scripts/buildrom.py  | 4 ++--
 scripts/checkrom.py  | 2 +-
 scripts/layoutrom.py | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/scripts/buildrom.py b/scripts/buildrom.py
index f2228ab..36de14e 100755
--- a/scripts/buildrom.py
+++ b/scripts/buildrom.py
@@ -32,10 +32,10 @@ def main():
     # Check if a pci header is present
     pcidata = ord(data[24:25]) + (ord(data[25:26]) << 8)
     if pcidata != 0:
-        data = data[:pcidata + 16] + chr(count/512) + chr(0) + data[pcidata + 18:]
+        data = data[:pcidata + 16] + chr(int(count/512)) + chr(0) + data[pcidata + 18:]
 
     # Fill in size field; clear checksum field
-    data = data[:2] + chr(count/512) + data[3:6] + "\0" + data[7:]
+    data = data[:2] + chr(int(count/512)) + data[3:6] + "\0" + data[7:]
 
     # Checksum rom
     newsum = (256 - checksum(data)) & 0xff
diff --git a/scripts/checkrom.py b/scripts/checkrom.py
index e724844..30c9db2 100755
--- a/scripts/checkrom.py
+++ b/scripts/checkrom.py
@@ -86,7 +86,7 @@ def main():
     print("Total size: %d  Fixed: %d  Free: %d (used %.1f%% of %dKiB rom)" % (
         datasize, runtimesize, finalsize - datasize
         , (datasize / float(finalsize)) * 100.0
-        , finalsize / 1024))
+        , int(finalsize / 1024)))
 
     # Write final file
     f = open(outfile, 'wb')
diff --git a/scripts/layoutrom.py b/scripts/layoutrom.py
index c0b325d..2f2b189 100755
--- a/scripts/layoutrom.py
+++ b/scripts/layoutrom.py
@@ -46,7 +46,7 @@ def setSectionsStart(sections, endaddr, minalign=1, segoffset=0):
         if section.align > minalign:
             minalign = section.align
         totspace = alignpos(totspace, section.align) + section.size
-    startaddr = (endaddr - totspace) / minalign * minalign
+    startaddr = int((endaddr - totspace) / minalign) * minalign
     curaddr = startaddr
     for section in sections:
         curaddr = alignpos(curaddr, section.align)
@@ -359,7 +359,7 @@ def writeLinkerScripts(li, out16, out32seg, out32flat):
 %s
     }
 """ % (li.zonelow_base,
-       li.zonelow_base / 16,
+       int(li.zonelow_base / 16),
        li.sec16_start - BUILD_BIOS_ADDR,
        outRelSections(li.sections16, 'code16_start', useseg=1))
     outfile = open(out16, 'wb')
-- 
1.8.5.3

